# TdApi.GetMessagePublicForwards (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: GetMessagePublicForwards

Package it.tdlight.jni

# Class TdApi.GetMessagePublicForwards

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.GetMessagePublicForwards

Enclosing class:
  TdApi

    public static class TdApi.GetMessagePublicForwards
    extends TdApi.Function

Returns forwarded copies of a channel message to different public channels. For optimal performance, the number of returned messages is chosen by TDLib.

Returns `FoundMessages`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Chat identifier of the message.
`static int` | `CONSTRUCTOR` |
`int` | `limit` | The maximum number of messages to be returned; must be positive and can't be greater than 100.
`long` | `messageId` | Message identifier.
`String` | `offset` | Offset of the first entry to return as received from the previous request; use empty string to get first chunk of results.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GetMessagePublicForwards()` | Returns forwarded copies of a channel message to different public channels.
`GetMessagePublicForwards​(long chatId, long messageId, String offset, int limit)` | Returns forwarded copies of a channel message to different public channels.
`GetMessagePublicForwards​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier of the message.

### messageId

public long messageId
Message identifier.

### offset

public String offset
Offset of the first entry to return as received from the previous request; use empty string to get first chunk of results.

### limit

public int limit
The maximum number of messages to be returned; must be positive and can't be greater than 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### GetMessagePublicForwards

public GetMessagePublicForwards()
Returns forwarded copies of a channel message to different public channels. For optimal performance, the number of returned messages is chosen by TDLib.

Returns `FoundMessages`

### GetMessagePublicForwards

public GetMessagePublicForwards​(long chatId, long messageId, String offset, int limit)
Returns forwarded copies of a channel message to different public channels. For optimal performance, the number of returned messages is chosen by TDLib.

Returns `FoundMessages`

Parameters:
  `chatId` - long Chat identifier of the message.
  `messageId` - long Message identifier.
  `offset` - String Offset of the first entry to return as received from the previous request; use empty string to get first chunk of results.
  `limit` - int The maximum number of messages to be returned; must be positive and can't be greater than 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

### GetMessagePublicForwards

public GetMessagePublicForwards​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`